Bug 177612 - halt initscript ignores mounts starting with /sys
Summary: halt initscript ignores mounts starting with /sys
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-01-12 10:56 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0396
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:24:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initscripts-halt-umount-sys-begin.patch (478 bytes, patch)
2006-01-12 10:56 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0396 normal SHIPPED_LIVE initscripts bug fix update 2006-08-09 04:00:00 UTC

Description Bastien Nocera 2006-01-12 10:56:24 UTC
initscripts-7.93.20.EL-1

1. mount something on /sysbackup for example
2. halt the system
3. on reboot /sysbackup is dirty

Attached patch ignores sysfs filesystem type.

Comment 1 Bastien Nocera 2006-01-12 10:56:26 UTC
Created attachment 123107 [details]
initscripts-halt-umount-sys-begin.patch

Comment 7 Bob Johnson 2006-04-11 16:34:51 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.

Comment 11 Red Hat Bugzilla 2006-08-10 21:24:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0396.html



Note You need to log in before you can comment on or make changes to this bug.